<?php
/*
*
* @author (Макс) Freedom <by_freedom@bk.ru>
* ICQ 286-0-666
*
*/
ob_start();
session_start();
session_name('sid');
# Серверный путь к сайту
define('HOME', $_SERVER['DOCUMENT_ROOT']);

# Полный HTTP путь к сайту
define('URL', 'http://'. $_SERVER['HTTP_HOST']);
# Получение настроек сервера
require_once(HOME .'/system/start.php');

# Очистка запроса модуля
$modules = func::check($_GET['url']);
// Проверка наличия файла в запросе
if (preg_match('/\.php$/i', $modules)) $module_file = true;
else $module_file = false;
// Если запрашивается какой-либо модуль
if (!empty($modules)){
// Проверяем существование
if (file_exists(HOME .'/modules/'. $modules) && $module_file == true){
# Подключаем модуль
require_once(HOME .'/modules/'. $modules);
}
else if (file_exists(HOME .'/modules/'. $modules) && $module_file == false){
// Проверяем наличие главной страницы модуля
if (file_exists(HOME .'/modules/'.$modules.'/index.php')){
# Подключаем главную страницу модуля
require_once(HOME .'/modules/'. $modules .'/index.php');
}
else
{
# Подключаем главную страницу сайта
require_once(HOME .'/modules/index.php');
}
}
else
{
# Подключаем главную страницу сайта
require_once(HOME .'/modules/index.php');
}
}
else
{
# Подключаем главную страницу сайта
require_once(HOME .'/modules/index.php');
}
?>
